Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExecutePlanOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExecutePlan`, `ClientWireProtocol.ExecutePlan.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ExecutePlanOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getForce()`
`bool force = 2;`
`String`
`getSql()`
sql is actually the plan name but this allows us to easily use reflection in Java
`com.google.protobuf.ByteString`
`getSqlBytes()`
sql is actually the plan name but this allows us to easily use reflection in Java

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSql

String getSql()

     sql is actually the plan name but this allows us to easily use reflection in Java

`string sql = 1;`

Returns:
  The sql.

### getSqlBytes

com.google.protobuf.ByteString getSqlBytes()

     sql is actually the plan name but this allows us to easily use reflection in Java

`string sql = 1;`

Returns:
  The bytes for sql.

### getForce

boolean getForce()
`bool force = 2;`

Returns:
  The force.